org.jfree.report.flow

## Class AbstractReportTarget

- java.lang.Object
- - org.jfree.report.flow.AbstractReportTarget

- All Implemented Interfaces:
    ReportTarget
  Direct Known Subclasses:
    LibLayoutReportTarget

      public abstract class AbstractReportTarget
      extends java.lang.Object
      implements ReportTarget

  Creation-Date: 03.07.2006, 16:31:12
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractReportTarget(ReportJob reportJob, org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager, org.pentaho.reporting.libraries.resourceloader.ResourceKey baseResource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.jfree.layouting.namespace.NamespaceDefinition[]` | `createDefaultNameSpaces()`
    `protected org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getBaseResource()`
    `ReportJob` | `getReportJob()`
    `protected org.pentaho.reporting.libraries.resourceloader.ResourceManager` | `getResourceManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.report.flow.ReportTarget

      `commit, endElement, endReport, getExportDescriptor, getNamespaceByUri, processContent, processText, startElement, startReport`

- - ### Constructor Detail

    - #### AbstractReportTarget

          protected AbstractReportTarget(ReportJob reportJob,
                                         org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager,
                                         org.pentaho.reporting.libraries.resourceloader.ResourceKey baseResource)

  - ### Method Detail

    - #### createDefaultNameSpaces

          protected org.jfree.layouting.namespace.NamespaceDefinition[] createDefaultNameSpaces()

    - #### getResourceManager

          protected org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager()

    - #### getBaseResource

          protected org.pentaho.reporting.libraries.resourceloader.ResourceKey getBaseResource()

    - #### getReportJob

          public ReportJob getReportJob()